Realtime API
Real-time subscriptions and WebSocket
REST API endpoints for Realtime. 2 operations.
Create a realtime subscription
plaintext
POST /api/v1/tenants/{tenant_id}/realtime/subscribeCreates a realtime subscription for a tenant.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenant_id | path | string | Yes | Tenant id (UUID) |
Responses
| Status | Description |
|---|---|
200 | Subscription created |
401 | Missing or invalid API key |
500 | Internal error |
operationId: subscribeRealtime
Open a realtime WebSocket
plaintext
GET /api/v1/tenants/{tenant_id}/realtime/wsUpgrades the connection to a realtime WebSocket stream for a tenant.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenant_id | path | string | Yes | Tenant id (UUID) |
Responses
| Status | Description |
|---|---|
101 | WebSocket upgrade |
401 | Missing or invalid API key |
500 | Internal error |
operationId: realtimeWebsocket